## GtkSizeGroup

GtkSizeGroup

## Functions

GtkSizeGroup * | gtk_size_group_new ()
void | gtk_size_group_set_mode ()
GtkSizeGroupMode | gtk_size_group_get_mode ()
void | gtk_size_group_set_ignore_hidden ()
gboolean | gtk_size_group_get_ignore_hidden ()
void | gtk_size_group_add_widget ()
void | gtk_size_group_remove_widget ()
GSList * | gtk_size_group_get_widgets ()

## Properties

gboolean | ignore-hidden | Read / Write
GtkSizeGroupMode | mode | Read / Write

## Types and Values

struct | GtkSizeGroup
enum | GtkSizeGroupMode

## Object Hierarchy

        GObject
        ╰── GtkSizeGroup

## Implemented Interfaces

GtkSizeGroup implements GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_size_group_new ()

    GtkSizeGroup *
    gtk_size_group_new (GtkSizeGroupMode mode);

Create a new GtkSizeGroup.

#### Parameters

mode | the mode for the new size group. |

#### Returns

a newly created GtkSizeGroup

### gtk_size_group_set_mode ()

    void
    gtk_size_group_set_mode (GtkSizeGroup *size_group,
                             GtkSizeGroupMode mode);

Sets the GtkSizeGroupMode of the size group. The mode of the size group determines whether the widgets in the size group should all have the same horizontal requisition (`GTK_SIZE_GROUP_MODE_HORIZONTAL`) all have the same vertical requisition (`GTK_SIZE_GROUP_MODE_VERTICAL`), or should all have the same requisition in both directions (`GTK_SIZE_GROUP_MODE_BOTH`).

#### Parameters

size_group | a GtkSizeGroup |
mode | the mode to set for the size group. |

### gtk_size_group_get_mode ()

    GtkSizeGroupMode
    gtk_size_group_get_mode (GtkSizeGroup *size_group);

Gets the current mode of the size group. See `gtk_size_group_set_mode()`.

#### Parameters

size_group | a GtkSizeGroup |

#### Returns

the current mode of the size group.

### gtk_size_group_set_ignore_hidden ()

    void
    gtk_size_group_set_ignore_hidden (GtkSizeGroup *size_group,
                                      gboolean ignore_hidden);

Sets whether unmapped widgets should be ignored when calculating the size.

#### Parameters

size_group | a GtkSizeGroup |
ignore_hidden | whether unmapped widgets should be ignored when calculating the size |

Since: 2.8

### gtk_size_group_get_ignore_hidden ()

    gboolean
    gtk_size_group_get_ignore_hidden (GtkSizeGroup *size_group);

Returns if invisible widgets are ignored when calculating the size.

#### Parameters

size_group | a GtkSizeGroup |

#### Returns

`TRUE` if invisible widgets are ignored.

Since: 2.8

### gtk_size_group_add_widget ()

    void
    gtk_size_group_add_widget (GtkSizeGroup *size_group,
                               GtkWidget *widget);

Adds a widget to a GtkSizeGroup. In the future, the requisition of the widget will be determined as the maximum of its requisition and the requisition of the other widgets in the size group. Whether this applies horizontally, vertically, or in both directions depends on the mode of the size group. See `gtk_size_group_set_mode()`.

When the widget is destroyed or no longer referenced elsewhere, it will be removed from the size group.

#### Parameters

size_group | a GtkSizeGroup |
widget | the GtkWidget to add |

### gtk_size_group_remove_widget ()

    void
    gtk_size_group_remove_widget (GtkSizeGroup *size_group,
                                  GtkWidget *widget);

Removes a widget from a GtkSizeGroup.

#### Parameters

size_group | a GtkSizeGrup |
widget | the GtkWidget to remove |

### gtk_size_group_get_widgets ()

    GSList *
    gtk_size_group_get_widgets (GtkSizeGroup *size_group);

Returns the list of widgets associated with `size_group` .

#### Parameters

size_group | a GtkSizeGrup |

#### Returns

a GSList of widgets. The list is owned by GTK+ and should not be modified.

[element-type GtkWidget][transfer none]

Since: 2.10

## Types and Values

### struct GtkSizeGroup

    struct GtkSizeGroup;

### enum GtkSizeGroupMode

The mode of the size group determines the directions in which the size group affects the requested sizes of its component widgets.

#### Members

GTK_SIZE_GROUP_NONE | group has no effect |
GTK_SIZE_GROUP_HORIZONTAL | group affects horizontal requisition |
GTK_SIZE_GROUP_VERTICAL | group affects vertical requisition |
GTK_SIZE_GROUP_BOTH | group affects both horizontal and vertical requisition |

## Property Details

### The `“ignore-hidden”` property

      “ignore-hidden”            gboolean

If `TRUE`, unmapped widgets are ignored when determining the size of the group.

Owner: GtkSizeGroup

Flags: Read / Write

Default value: FALSE

Since: 2.8

### The `“mode”` property

      “mode”                     GtkSizeGroupMode

The directions in which the size group affects the requested sizes of its component widgets.

Owner: GtkSizeGroup

Flags: Read / Write

Default value: GTK_SIZE_GROUP_HORIZONTAL